complexType "CashflowCalculationPeriod"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 9 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | calculatedRateReference*, adjustedStartDate?, adjustedEndDate?, numberOfDays?, fixedRateStepReference?, dayCountFraction?, dayCountYearFraction?, compoundingMethod?, accruedAmount?
</...>

Content Model Elements (9):

  accruedAmount,
  adjustedEndDate (in calculationPeriod in calculationElements),
  adjustedStartDate (in calculationPeriod in calculationElements),
  calculatedRateReference,
  compoundingMethod (in calculationPeriod in calculationElements),
  dayCountFraction (in calculationPeriod in calculationElements),
  dayCountYearFraction (in calculationPeriod in calculationElements),
  fixedRateStepReference,
  numberOfDays

All Direct / Indirect Based Elements (1):

  calculationPeriod (in calculationElements)

Known Usage Locations

- As direct type of elements (1):
  calculationPeriod (in calculationElements)

Annotation
The period calculation details for a calculation/accrual period. This will include information about the dates and duration of the accrual period, the rate fixing(s), the notional in effect, and the amount of the accrual.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="CashflowCalculationPeriod"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRateReference" type="CashflowFixingReference"/> <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"/> <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"/> <xsd:element minOccurs="0" name="numberOfDays" type="xsd:positiveInteger"/> <xsd:element minOccurs="0" name="fixedRateStepReference" type="StepReference"/> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"/> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/> <xsd:element minOccurs="0" name="accruedAmount" type="xsd:decimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 9/9)
accruedAmount

  Type: | xsd:decimal, predefined, simple content

  The amount of payment accrued during this accrual period. This is required only when there are multiple calculation periods within the same cashflow component, for example when the calculation period is shorter than the payment period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accruedAmount" type="xsd:decimal"/>

adjustedEndDate

  Type: | xsd:date, predefined, simple content

  Date that defines the end of the calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"/>

adjustedStartDate

  Type: | xsd:date, predefined, simple content

  Date that defines the beginning of the calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"/>

calculatedRateReference

  Type: | CashflowFixingReference, empty content

  Reference to the fixing details defined somewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRateReference" type="CashflowFixingReference"/>

compoundingMethod

  Type: | CompoundingMethodEnum, simple content

  If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Flat" | - | Flat compounding. Compounding excludes the spread. Note that the first compounding period has it's interest calculated including any spread then subsequent periods compound this at a rate excluding the spread. See: http://www.FpML.org
  "None" | - | No compounding is to be applied. See: http://www.FpML.org
  "Straight" | - | Straight compounding. Compounding includes the spread. See: http://www.FpML.org
  "SpreadExclusive" | - | Spread Exclusive compounding. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The specification for how the number of days between two dates is calculated for purposes of calculation of a fixed or floating payment amount and the basis for how many days are assumed to be in a year. Day Count Fraction is an ISDA term. The equivalent AFB (Association Francaise de Banques) term is Calculation Basis.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

dayCountYearFraction

  Type: | xsd:decimal, predefined, simple content

  The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"/>

fixedRateStepReference

  Type: | StepReference, empty content

  Reference to the fixed rate schedule's step in order to identify the calculation period fixed rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fixedRateStepReference" type="StepReference"/>

numberOfDays

  Type: | xsd:positiveInteger, predefined, simple content

  The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="numberOfDays" type="xsd:positiveInteger"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.